# Conditional build:
%bcond_with	verbose		# verbose build (V=1)

# nothing to be placed to debuginfo package
%define		_enable_debug_packages	0

%define		rel	13
%define		snap	20140901
%define		pname	rtl8812au
Summary:	Driver for AC1200 (802.11ac) Wireless Dual-Band USB Adapter
Name:		%{pname}%{_alt_kernel}
Version:	4.3.2_11100.20140411
Release:	0.%{snap}.%{rel}%{?_pld_builder:@%{_kernel_ver_str}}
License:	GPL
Group:		Base/Kernel
#Source0:	https://github.com/abperiasamy/rtl8812AU_8821AU_linux/archive/master/%{name}-%{version}-%{snap}.tar.gz
Source0:	https://github.com/austinmarton/rtl8812au_linux/archive/master/%{pname}-%{version}-%{snap}.tar.gz
# Source0-md5:	693825ab344b68a1217f20ab8dd98b82
# good luck finding this chip on Realtek website :/
#URL:		http://www.realtek.com.tw/
URL:		https://github.com/austinmarton/rtl8812au_linux
Patch0:		linux-3.11.patch
Patch1:		disable-debug.patch
Patch2:		enable-cfg80211-support.patch
Patch3:		update-cfg80211-support.patch
Patch4:		warnings.patch
Patch5:		gcc-4.9.patch
Patch6:		linux-3.18.patch
Patch7:		linux-4.0.patch
Patch8:		linux-4.1.patch
Patch9:		linux-4.2.patch
Patch10:	linux-4.3.patch
Patch11:	linux-4.6.patch
Patch12:	linux-4.7.patch
Patch13:	linux-4.8.patch
BuildRequires:	rpmbuild(macros) >= 1.701
%{expand:%buildrequires_kernel kernel%%{_alt_kernel}-module-build >= 3:2.6.20.2}
BuildRoot:	%{tmpdir}/%{pname}-%{version}-root-%(id -u -n)

%description
Driver for AC1200 (802.11ac) Wireless Dual-Band USB Adapter.

%define	kernel_pkg()\
%package -n kernel%{_alt_kernel}-net-rtl8812au\
Summary:	Driver for AC1200 (802.11ac) Wireless Dual-Band USB Adapter\
Release:	%{rel}@%{_kernel_ver_str}\
Group:		Base/Kernel\
Requires(post,postun):	/sbin/depmod\
%requires_releq_kernel\
Requires(postun):	%releq_kernel\
\
%description -n kernel%{_alt_kernel}-net-rtl8812au\
Driver for AC1200 (802.11ac) Wireless Dual-Band USB Adapter\
\
%files -n kernel%{_alt_kernel}-net-rtl8812au\
%defattr(644,root,root,755)\
/lib/modules/%{_kernel_ver}/kernel/drivers/net/wireless/*.ko*\
\
%post	-n kernel%{_alt_kernel}-net-rtl8812au\
%depmod %{_kernel_ver}\
\
%postun	-n kernel%{_alt_kernel}-net-rtl8812au\
%depmod %{_kernel_ver}\
%{nil}

%define build_kernel_pkg()\
%{__make} clean KVER=%{_kernel_ver} KSRC=%{_kernelsrcdir}\
%{__make} modules KVER=%{_kernel_ver} KSRC=%{_kernelsrcdir}\
%install_kernel_modules -D installed -m 8812au -d kernel/drivers/net/wireless\
%{nil}

%{expand:%create_kernel_packages}

%prep
#%setup -q -n %{pname}-%{version}
%setup -q -n rtl8812au_linux-master
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1
%patch11 -p1
%patch12 -p1
%patch13 -p1

%build
%{expand:%build_kernel_packages}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT

cp -a installed/* $RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT
%changelog
* Fri Jan 27 2017 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/rtl8812au.git;a=log;h=auto/th/rtl8812au-4.3.2_11100.20140411-0.20140901.13

* Tue Oct 11 2016 Jan Rękorajski <baggins@pld-linux.org> 4c684a7
- fix building with linux 4.8
- rel 13

* Mon Aug 01 2016 Jan Rękorajski <baggins@pld-linux.org> dfe091e
- fix building with linux 4.7
- rel 12

* Sun Jun 19 2016 Jan Rękorajski <baggins@pld-linux.org> 18acb8e
- fix building with linux 4.6
- rel 11

* Thu Nov 12 2015 Jan Rękorajski <baggins@pld-linux.org> 80b26ae
- fix building with linux 4.3
- rel 10

* Sun Sep 27 2015 Jan Rękorajski <baggins@pld-linux.org> f402f26
- updates and fixes for 4.1 and 4.2 kernels
- rel 9

* Sat Apr 18 2015 Jan Rękorajski <baggins@pld-linux.org> 6a1f820
- fix building with linux 4.0
- rel 8

* Sun Feb 01 2015 Jan Rękorajski <baggins@pld-linux.org> 67230b7
- fixed alt_kernel creeping into source0 file name
- rel 7

* Tue Jan 27 2015 Jan Rękorajski <baggins@pld-linux.org> 368320b
- rel 6

* Tue Jan 27 2015 Jan Rękorajski <baggins@pld-linux.org> 0e96efb
- uppdated kernel modules build system

* Tue Jan 27 2015 Jan Rękorajski <baggins@pld-linux.org> e5fd085
- drop non-dist kernel support

* Sun Jan 25 2015 Jan Rękorajski <baggins@pld-linux.org> 1b23d8f
- fix building with linux 3.18
- rel 5

* Thu Dec 11 2014 Jan Rękorajski <baggins@pld-linux.org> c2800a0
- fix build on kernels using gcc 4.9 features
- rel 4

* Sun Sep 07 2014 Jan Rękorajski <baggins@pld-linux.org> 7e5222b
- updated for older kernels

* Sun Sep 07 2014 Jan Rękorajski <baggins@pld-linux.org> 5ea72e3
- rel 3

* Sun Sep 07 2014 Jan Rękorajski <baggins@pld-linux.org> e46e556
- enable cfg80211 use in driver and update code to 3.15+
- fix 'const' related warnings
- really disable debug

* Tue Sep 02 2014 Jan Rękorajski <baggins@pld-linux.org> 5246a30
- disable debug noise
- rel 2

* Mon Sep 01 2014 Jan Rękorajski <baggins@pld-linux.org> 36a5087
- updated to 4.3.2_11100.20140411

* Wed Aug 27 2014 Jan Rękorajski <baggins@pld-linux.org> 69ba0a6
- pass kernel source directory to make

* Wed Aug 27 2014 Jan Rękorajski <baggins@pld-linux.org> ca0afb0
- yes, something is missing on df

* Wed Aug 27 2014 Jan Rękorajski <baggins@pld-linux.org> f157a2d
- some df breakage?

